## greed 0.5.0

=== DESCRIPTION ===
Package: greed
Type: Package
Title: Clustering and Model Selection with the Integrated
        Classification Likelihood
Version: 0.5.0
Date: 2021-04-07
Authors@R: 
    c(person(given = "Etienne",
             family = "Côme",
             role = c("aut", "cre"),
             email = "etienne.come@univ-eiffel.fr"),
    person(given = "Nicolas",
             family = "Jouvin",
             role = c("aut")))
URL: https://comeetie.github.io/greed/,
        https://github.com/comeetie/greed
BugReports: https://github.com/comeetie/greed/issues
Maintainer: Etienne Côme <etienne.come@univ-eiffel.fr>
Description: An ensemble of algorithms that enable the clustering of networks and data matrix such as document/term matrix with different type of generative models. Model selection and clustering is performed in combination by optimizing the Integrated Classification Likelihood (which is equivalent to minimizing the description length). Several models are available such as: Stochastic Block Model, degree corrected Stochastic Block Model, Mixtures of Multinomial, Latent Block Model. The optimization is performed thanks to a combination of greedy local search and a genetic algorithm (see <arXiv:2002:11577> for more details).
License: GPL
Depends: R (>= 2.10)
Imports: Rcpp (>= 1.0.0), Matrix, future, listenv, ggplot2, graphics,
        methods, stats,RSpectra,ggpubr, MASS,cba
LinkingTo: Rcpp, RcppArmadillo
Suggests: testthat, knitr, rmarkdown, igraph, dplyr, tibble, tidyr,
        spelling
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Collate: 'RcppExports.R' 'misc.R' 'models_classes.R' 'fit_classes.R'
        'cleanpath.R' 'genetic_alg.R' 'hybrid_alg.R' 'alg_classes.R'
        'dcsbm.R' 'coclust_dcsbm.R' 'data.R' 'generator.R' 'mvmreg.R'
        'gmm.R' 'greed.R' 'sbm.R' 'misssbm.R' 'mm.R' 'multistart_alg.R'
        'multsbm.R' 'plot.R'
Language: en-US
NeedsCompilation: yes
Packaged: 2021-04-20 13:04:53 UTC; comeetie
Author: Etienne Côme [aut, cre],
  Nicolas Jouvin [aut]
Repository: CRAN
Date/Publication: 2021-04-21 07:40:02 UTC

## greed 0.5.1

=== DESCRIPTION ===
Package: greed
Type: Package
Title: Clustering and Model Selection with the Integrated
        Classification Likelihood
Version: 0.5.1
Date: 2021-05-03
Authors@R: 
    c(person(given = "Etienne",
             family = "Côme",
             role = c("aut", "cre"),
             email = "etienne.come@univ-eiffel.fr"),
    person(given = "Nicolas",
             family = "Jouvin",
             role = c("aut")))
URL: https://comeetie.github.io/greed/,
        https://github.com/comeetie/greed
BugReports: https://github.com/comeetie/greed/issues
Maintainer: Etienne Côme <etienne.come@univ-eiffel.fr>
Description: An ensemble of algorithms that enable the clustering of networks and data matrix such as counts matrix with different type of generative models. Model selection and clustering is performed in combination by optimizing the Integrated Classification Likelihood (which is equivalent to minimizing the description length). Several models are available such as: Stochastic Block Model, degree corrected Stochastic Block Model, Mixtures of Multinomial, Latent Block Model. The optimization is performed thanks to a combination of greedy local search and a genetic algorithm (see <arXiv:2002:11577> for more details).
License: GPL
Depends: R (>= 2.10)
Imports: Rcpp (>= 1.0.0), Matrix, future, listenv, ggplot2, graphics,
        methods, stats,RSpectra,ggpubr,GGally,cba
LinkingTo: Rcpp, RcppArmadillo
Suggests: testthat, MASS, mclust, knitr, rmarkdown, igraph, dplyr,
        tibble, tidyr, spelling
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.1.1
Collate: 'RcppExports.R' 'misc.R' 'models_classes.R' 'fit_classes.R'
        'cleanpath.R' 'genetic_alg.R' 'hybrid_alg.R' 'alg_classes.R'
        'dcsbm.R' 'coclust_dcsbm.R' 'data.R' 'diaggmm.R' 'generator.R'
        'mvmreg.R' 'gmm.R' 'greed.R' 'sbm.R' 'misssbm.R' 'mm.R'
        'multistart_alg.R' 'multsbm.R' 'plot.R'
Language: en-US
NeedsCompilation: yes
Packaged: 2021-05-03 15:44:51 UTC; comeetie
Author: Etienne Côme [aut, cre],
  Nicolas Jouvin [aut]
Repository: CRAN
Date/Publication: 2021-05-10 06:50:03 UTC

## greed 0.6.0

=== DESCRIPTION ===
Package: greed
Type: Package
Title: Clustering and Model Selection with the Integrated
        Classification Likelihood
Version: 0.6.0
Date: 2022-03-18
Authors@R: 
    c(person(given = "Etienne",
             family = "Côme",
             role = c("aut", "cre"),
             email = "etienne.come@univ-eiffel.fr"),
    person(given = "Nicolas",
             family = "Jouvin",
             role = c("aut")))
URL: https://comeetie.github.io/greed/,
        https://github.com/comeetie/greed
BugReports: https://github.com/comeetie/greed/issues
Maintainer: Etienne Côme <etienne.come@univ-eiffel.fr>
Description: An ensemble of algorithms that enable the clustering of networks and data matrices (such as counts, categorical or continuous) with different type of generative models. Model selection and clustering is performed in combination by optimizing the Integrated Classification Likelihood (which is equivalent to minimizing the description length). Several models are available such as: Stochastic Block Model, degree corrected Stochastic Block Model, Mixtures of Multinomial, Latent Block Model. The optimization is performed thanks to a combination of greedy local search and a genetic algorithm (see <arXiv:2002:11577> for more details).
License: GPL
Depends: R (>= 3.5.0)
Imports: Rcpp (>= 1.0.0), Matrix, future, listenv, ggplot2, graphics,
        methods, stats,RSpectra,grid,gtable,gridExtra,cba,cli
LinkingTo: Rcpp, RcppArmadillo
Suggests: testthat, MASS, knitr, rmarkdown, spelling, igraph,
        tidygraph, ggraph
Encoding: UTF-8
VignetteBuilder: knitr
RoxygenNote: 7.1.2.9000
Collate: 'RcppExports.R' 'tools_misc.R' 'models_classes.R'
        'fit_classes.R' 'tools_cleanpath.R' 'alg_genetic.R'
        'alg_hybrid.R' 'alg_classes.R' 'alg_multistart.R' 'data.R'
        'greed.R' 'model_combinedmodels.R' 'model_dclbm.R'
        'model_dcsbm.R' 'model_diaggmm.R' 'model_gmm.R' 'model_lca.R'
        'model_mom.R' 'model_mor.R' 'model_multsbm.R' 'model_sbm.R'
        'tools_generator.R' 'tools_ploting.R'
Language: en-US
LazyData: true
NeedsCompilation: yes
Packaged: 2022-03-18 11:13:17 UTC; comeetie
Author: Etienne Côme [aut, cre],
  Nicolas Jouvin [aut]
Repository: CRAN
Date/Publication: 2022-03-18 12:50:02 UTC

## greed 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering and Model Selection with the Integrated
         Classification Likelihood
-Version: 0.6.0
-Date: 2022-03-18
+Version: 0.6.1
+Date: 2022-09-27
 Authors@R: 
     c(person(given = "Etienne",
              family = "Côme",
@@ -37,8 +37,8 @@
 Language: en-US
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2022-03-18 11:13:17 UTC; comeetie
+Packaged: 2022-10-03 10:12:02 UTC; comeetie
 Author: Etienne Côme [aut, cre],
   Nicolas Jouvin [aut]
 Repository: CRAN
-Date/Publication: 2022-03-18 12:50:02 UTC
+Date/Publication: 2022-10-03 22:00:05 UTC

## greed 0.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering and Model Selection with the Integrated
         Classification Likelihood
-Version: 0.6.1
-Date: 2022-09-27
+Version: 0.6.2
+Date: 2025-08-28
 Authors@R: 
     c(person(given = "Etienne",
              family = "Côme",
@@ -19,14 +19,14 @@
 Description: An ensemble of algorithms that enable the clustering of networks and data matrices (such as counts, categorical or continuous) with different type of generative models. Model selection and clustering is performed in combination by optimizing the Integrated Classification Likelihood (which is equivalent to minimizing the description length). Several models are available such as: Stochastic Block Model, degree corrected Stochastic Block Model, Mixtures of Multinomial, Latent Block Model. The optimization is performed thanks to a combination of greedy local search and a genetic algorithm (see <arXiv:2002:11577> for more details).
 License: GPL
 Depends: R (>= 3.5.0)
-Imports: Rcpp (>= 1.0.0), Matrix, future, listenv, ggplot2, graphics,
-        methods, stats,RSpectra,grid,gtable,gridExtra,cba,cli
+Imports: Rcpp, Matrix, future, listenv, ggplot2, graphics, methods,
+        stats, RSpectra, grid, gtable, gridExtra, cba, cli
 LinkingTo: Rcpp, RcppArmadillo
 Suggests: testthat, MASS, knitr, rmarkdown, spelling, igraph,
         tidygraph, ggraph
 Encoding: UTF-8
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2.9000
+RoxygenNote: 7.3.2
 Collate: 'RcppExports.R' 'tools_misc.R' 'models_classes.R'
         'fit_classes.R' 'tools_cleanpath.R' 'alg_genetic.R'
         'alg_hybrid.R' 'alg_classes.R' 'alg_multistart.R' 'data.R'
@@ -37,8 +37,8 @@
 Language: en-US
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2022-10-03 10:12:02 UTC; comeetie
+Packaged: 2025-08-29 10:07:50 UTC; come
 Author: Etienne Côme [aut, cre],
   Nicolas Jouvin [aut]
 Repository: CRAN
-Date/Publication: 2022-10-03 22:00:05 UTC
+Date/Publication: 2025-08-29 10:30:02 UTC

## greed 3.4

=== Makefile ===
# Makefile for Greed
# MSDOS users need PCCurses v1.3 (or later) and Microsoft C 5.1, plus
# slight editing of "chmod", "cp", and "rm" statements at bottom of this file.

# Note: When the version changes, you also have to change
# the RPM spec file and the LSM.
VERS=3.4

# Choose BSD for Berkeley Unix, NOTBSD for all other Unixes, MSDOS for DOS
#SYSDEF=BSD
SYSDEF=NOTBSD
#SYSDEF=MSDOS

# Prepend "c:" (or whatever drive you use) to the following paths for MSDOS
# Location of high score file
SFILE=/usr/games/lib/greed.hs
# Location of game executable
BIN=/usr/games

# Flags for use with the Linux ncurses package (recommended)
CFLAGS = -O -s -DNOTBSD
TERMLIB = -lncurses
CC = gcc

# Flags for use with stock curses
# CFLAGS = -O -s
# TERMLIB = -lcurses
# CC = gcc

# Flags for use with MS-DOS
#CFLAGS=-Oilt -Gs
#TERMLIB = scurses.lib

greed: greed.c
	cc -DSCOREFILE=\"$(SFILE)\" -D$(SYSDEF) -DRELEASE=\"$(VERS)\" -o greed greed.c $(CFLAGS) $(TERMLIB)

greed.6: greed.xml
	xmlto man greed.xml

install: greed.6 uninstall
	cp greed $(BIN)
	cp greed.6 /usr/share/man/man6/greed.6

uninstall:
	rm -f $(BIN)/install /usr/share/man/man6/greed.6

clean:
	rm -f *~ *.o greed greed-*.tar.gz  greed*.rpm
	rm -f greed.6 manpage.links manpage.refs

SOURCES = READ.ME Makefile greed.c greed.lsm greed.spec greed.xml

greed-$(VERS).tar.gz: $(SOURCES) greed.6
	@ls $(SOURCES) greed.6 | sed s:^:greed-$(VERS)/: >MANIFEST
	@(cd ..; ln -s greed greed-$(VERS))
	(cd ..; tar -czvf greed/greed-$(VERS).tar.gz `cat greed/MANIFEST`)
	@(cd ..; rm greed-$(VERS))

dist: greed-$(VERS).tar.gz

RPMROOT=/usr/src/redhat
RPM = rpm
RPMFLAGS = -ba
rpm: dist
	cp greed-$(VERS).tar.gz $(RPMROOT)/SOURCES;
	cp greed.spec $(RPMROOT)/SPECS
	cd $(RPMROOT)/SPECS; $(RPM) $(RPMFLAGS) greed.spec	
	cp $(RPMROOT)/RPMS/`arch|sed 's/i[4-9]86/i386/'`/greed-$(VERS)*.rpm .
	cp $(RPMROOT)/SRPMS/greed-$(VERS)*.src.rpm .

## greed 3.7

=== Makefile ===
# Makefile for Greed
# MSDOS users need PCCurses v1.3 (or later) and Microsoft C 5.1, plus
# slight editing of "chmod", "cp", and "rm" statements at bottom of this file.

VERS=$(shell sed <greed.spec -n -e '/Version: \(.*\)/s//\1/p')

SFILE=/usr/games/lib/greed.hs
# Location of game executable
BIN=/usr/games

greed: greed.c
	$(CC) -DSCOREFILE=\"$(SFILE)\" -DRELEASE=\"$(VERS)\" -o greed greed.c -O3 -lcurses

greed.6: greed.xml
	xmlto man greed.xml

greed.html: greed.xml
	xmlto html-nochunks greed.xml

install: greed.6 uninstall
	cp greed $(BIN)
	cp greed.6 /usr/share/man/man6/greed.6

uninstall:
	rm -f $(BIN)/install /usr/share/man/man6/greed.6

clean:
	rm -f *~ *.o greed greed-*.tar.gz  greed*.rpm *.html
	rm -f greed.6 manpage.links manpage.refs SHIPPER.*

SOURCES = README COPYING Makefile greed.c greed.spec greed.xml

greed-$(VERS).tar.gz: $(SOURCES) greed.6
	@ls $(SOURCES) greed.6 | sed s:^:greed-$(VERS)/: >MANIFEST
	@(cd ..; ln -s greed greed-$(VERS))
	(cd ..; tar -czf greed/greed-$(VERS).tar.gz `cat greed/MANIFEST`)
	@(cd ..; rm greed-$(VERS))

dist: greed-$(VERS).tar.gz

release: greed-$(VERS).tar.gz greed.html
	shipper -u -m -t; make clean

=== debian/changelog ===
greed (3.7-1) unstable; urgency=low

  * Imported Upstream version 3.7.
  * debian/patches/fix_quit_option.diff removed because the bug was fixed by
    upstream.
  * debian/patches/fix_warnings.diff removed because the bug was fixed by
    upstream.
  * debian/patches/Makefile.diff updated.
  * debian/copyright
    - The license has been changed from GPL-2 to BSD-3-clause.
    - Updated as per the latest version of the DEP-5 specification.
  * debian/postinst and debian/postrm were rewritten in to properly handle.
    the transition to the new format of the score file.
  * debian/control Standards-Version updated to 3.9.2.
    + The BSD license is now included directly in `debian/copyright'.
  * debian/control Vcs-* fields updated.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Thu, 17 Nov 2011 12:49:48 -0600

greed (3.6-1) unstable; urgency=low

  * Imported Upstream version 3.6.
  * debian/docs READ.ME is now README.
  * debian/watch The regex is now more specific.
  * debian/copyright
    - Use DEP-5 specification.
    - The license has been changed from BSD-like to GPL-2.
  * Makefile.diff patch updated.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Mon, 14 Jun 2010 22:36:15 -0600

greed (3.4-3) unstable; urgency=low

  * New Maintainer (closes: #576554)
  * Debhelper 7 used to simplify debian/rules.
  * Switch to dpkg-source 3.0 (quilt) format
  * Makefile.diff patch changed to quilt format
    it was added in order to change the path where files
    are installed. Also, adds changes in order to
    respect both CC and CFLAGS. (closes: 437088)
  * greed.xml.diff patch changed to quilt format
    it was added in order to update the location of docbookx.dtd
    and to update the location of the greed.hs file
  * fix_quit_option.diff patch changed to quilt format
    it was added in order to fix debian bug #214086 greed: Really
    quit quits always
  * maint-scripts added to fix greed.hs file permissions
    (closes: #399425)
  * debian/README.Debian added
  * DEP-3 doc. added to the patches
  * debian/control
    - ${misc:Depends} added
    - home-page field added
    - author's name removed from package description
    - the package is now maintained in Debian Games Team
    - Vcs-Git and Vcs-Browser added
  * debian/watch added
  * debian/docs added
  * fix_warnings.diff patch added. This patch fixes some
    "incompatible implicit declarations of built-in
    functions" warnings

 -- Josue Abarca <jmaslibre@debian.org.gt>  Fri, 16 Apr 2010 10:38:43 -0600

greed (3.4-2) unstable; urgency=low

  * Fix call to quit() in greed.c thanks to Helge Kreutzmann 
    (closes: #214086) 

 -- Pierre Machard <pmachard@debian.org>  Sun, 23 May 2004 21:11:29 +0200

greed (3.4-1) unstable; urgency=low

  * Initial Release (closes: #208339)

 -- Pierre Machard <pmachard@debian.org>  Tue,  2 Sep 2003 11:56:51 +0200

=== debian/control ===
Source: greed
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Josue Abarca <jmaslibre@debian.org.gt>
Build-Depends: debhelper (>= 7.0.50~), xmlto, libncurses5-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-games/greed.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/greed.git
Homepage: http://www.catb.org/~esr/greed/


Package: greed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: curses-based clone of the DOS free-ware game Greed
 This is a curses-based clone of the DOS free-ware game Greed. The goal
 of this game is to try to eat as much as possible of the board before
 munching yourself into a corner.

## greed 3.8

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # MSDOS users need PCCurses v1.3 (or later) and Microsoft C 5.1, plus
 # slight editing of "chmod", "cp", and "rm" statements at bottom of this file.
 
-VERS=$(shell sed <greed.spec -n -e '/Version: \(.*\)/s//\1/p')
+VERS=3.8
 
 SFILE=/usr/games/lib/greed.hs
 # Location of game executable
@@ -28,7 +28,7 @@
 	rm -f *~ *.o greed greed-*.tar.gz  greed*.rpm *.html
 	rm -f greed.6 manpage.links manpage.refs SHIPPER.*
 
-SOURCES = README COPYING Makefile greed.c greed.spec greed.xml
+SOURCES = README NEWS COPYING Makefile greed.c greed.xml control
 
 greed-$(VERS).tar.gz: $(SOURCES) greed.6
 	@ls $(SOURCES) greed.6 | sed s:^:greed-$(VERS)/: >MANIFEST

=== debian/changelog ===
greed (3.8-1) unstable; urgency=low

  * New upstream release.
  * Makefile.diff and greed.xml.diff patches were updated.
  * lockfile.diff patch added in order to avoid following symlinks and
    truncate existing lock files (Closes: #692490).
  * debian/copyright Format field updated.
  * debian/control standars version updated to 3.9.4, no changes required.
  * MakefileCFlags.diff patch added in order to use the buildflags in the
    makefile.
  * debian/compat Level changed to 9 in order to use hardened compiler
    flags.
  * debian/control
  - (Build-Depends): Updated to debhelper 9.

 -- Josue Abarca <jmaslibre@debian.org.gt>  Tue, 04 Jun 2013 18:24:37 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Josue Abarca <jmaslibre@debian.org.gt>
-Build-Depends: debhelper (>= 7.0.50~), xmlto, libncurses5-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>=9), xmlto, libncurses5-dev
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-games/greed.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/greed.git
 Homepage: http://www.catb.org/~esr/greed/

=== debian/watch ===
version=3
http://www.catb.org/~esr/greed/greed-(.+)\.tar\.gz

## greed 3.10

=== debian/changelog ===
greed (3.10-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:47 +0000

greed (3.10-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:36 +0000

greed (3.10-1) unstable; urgency=medium

  * debian/control New maintainer address.
  * Imported Upstream version 3.10
  * debian/patches:
    - Makefile.diff patch updated.
    - MakefileCFlags.diff patch removed, it was merged upstream.
    - greed.xml.diff patch updated.
    - lockfile.diff patch removed, it was merged upstream.
  * debian/control standars version updated to 3.9.6, no changes required.

 -- Josue Abarca <jmaslibre@debian.org>  Sat, 18 Oct 2014 12:53:06 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: greed
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Josue Abarca <jmaslibre@debian.org.gt>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Josue Abarca <jmaslibre@debian.org>
 Build-Depends: debhelper (>=9), xmlto, libncurses5-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/greed.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/greed.git
 Homepage: http://www.catb.org/~esr/greed/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

# Debian Policy 11.11
override_dh_fixperms:
	dh_fixperms
	chown root:games debian/greed/usr/games/greed
	chmod 2755 debian/greed/usr/games/greed

## greed 4.2

=== Makefile ===
# Makefile for Greed

VERS=4.2

SFILE=/usr/games/lib/greed.hs
# Location of game executable
BIN=/usr/games

greed: greed.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSCOREFILE=\"$(SFILE)\" -DRELEASE=\"$(VERS)\" -o greed greed.c -O3 -lcurses

greed.6: greed.xml
	xmlto man greed.xml

greed.html: greed.xml
	xmlto html-nochunks greed.xml

install: greed.6 uninstall
	cp greed $(BIN)
	cp greed.6 /usr/share/man/man6/greed.6

uninstall:
	rm -f $(BIN)/install /usr/share/man/man6/greed.6

clean:
	rm -f *~ *.o greed greed-*.tar.gz  greed*.rpm *.html
	rm -f greed.6 manpage.links manpage.refs

CPPCHECKOPTS =
cppcheck:
	cppcheck $(CPPCHECKOPTS) greed.c

SOURCES = README NEWS COPYING Makefile greed.c greed.xml control greed-logo.png

greed-$(VERS).tar.gz: $(SOURCES) greed.6
	@ls $(SOURCES) greed.6 | sed s:^:greed-$(VERS)/: >MANIFEST
	@(cd ..; ln -s greed greed-$(VERS))
	(cd ..; tar -czf greed/greed-$(VERS).tar.gz `cat greed/MANIFEST`)
	@(cd ..; rm greed-$(VERS))

dist: greed-$(VERS).tar.gz

release: greed-$(VERS).tar.gz greed.html
	shipper version=$(VERS) | sh -e -x

refresh: greed.html
	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
greed (4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Bump standards version to 4.2.1.
  * Bump debhelper version to 11.
  * Add debian/greed.desktop. (Closes: #710117)

  [Markus Koschany]

  * Install new greed desktop icon.
  * Update debian/copyright. The license is BSD-2-clause now.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 11 Oct 2018 17:14:55 +0200

=== debian/control ===
Source: greed
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Josue Abarca <jmaslibre@debian.org>
Build-Depends:
 debhelper (>=11),
 libncurses5-dev,
 xmlto
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/games-team/greed.git
Vcs-Browser: https://salsa.debian.org/games-team/greed
Homepage: http://www.catb.org/~esr/greed/

Package: greed
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: curses-based clone of the DOS free-ware game Greed
 This is a curses-based clone of the DOS free-ware game Greed. The goal
 of this game is to try to eat as much as possible of the board before
 munching yourself into a corner.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 	dh_fixperms
 	chown root:games debian/greed/usr/games/greed
 	chmod 2755 debian/greed/usr/games/greed
+
+override_dh_auto_install:
+	@echo do not call install target
+	$(MAKE) greed.6

## greed 4.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for Greed
 
-VERS=4.2
+VERS=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)
 
 SFILE=/usr/games/lib/greed.hs
 # Location of game executable
@@ -9,12 +9,16 @@
 greed: greed.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSCOREFILE=\"$(SFILE)\" -DRELEASE=\"$(VERS)\" -o greed greed.c -O3 -lcurses
 
-greed.6: greed.xml
-	xmlto man greed.xml
+# Note: to suppress the footers with timestamps being generated in HTML,
+# we use "-a nofooter".
+# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
+# on the intermediate XML that throws an error.
+.SUFFIXES: .html .adoc .6
 
-greed.html: greed.xml
-	xmlto html-nochunks greed.xml
-
+.adoc.6:
+	asciidoctor -D. -a nofooter -b manpage $<
+.adoc.html:
+	asciidoctor -D. -a nofooter -a webfonts! $<
 install: greed.6 uninstall
 	cp greed $(BIN)
 	cp greed.6 /usr/share/man/man6/greed.6
@@ -26,11 +30,14 @@
 	rm -f *~ *.o greed greed-*.tar.gz  greed*.rpm *.html
 	rm -f greed.6 manpage.links manpage.refs
 
+reflow:
+	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")
+
 CPPCHECKOPTS =
 cppcheck:
-	cppcheck $(CPPCHECKOPTS) greed.c
+	cppcheck --quiet $(CPPCHECKOPTS) greed.c
 
-SOURCES = README NEWS COPYING Makefile greed.c greed.xml control greed-logo.png
+SOURCES = README NEWS.adoc COPYING Makefile greed.c greed.adoc control greed-logo.png
 
 greed-$(VERS).tar.gz: $(SOURCES) greed.6
 	@ls $(SOURCES) greed.6 | sed s:^:greed-$(VERS)/: >MANIFEST

=== debian/changelog ===
greed (4.3-3) unstable; urgency=medium

  * Team upload.
  * Patcho for GCC-15 (Closes: #1096778)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 10:27:39 +0200

greed (4.3-2) unstable; urgency=medium

  * Team upload.

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 15:41:40 +0100

greed (4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.3
  * Rename NEWS -> NEWS.adoc
  * Refresh patches
  * Replace xmlto with asciidoctor

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 10:22:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Josue Abarca <jmaslibre@debian.org>
 Build-Depends:
- debhelper (>=11),
- libncurses5-dev,
- xmlto
-Standards-Version: 4.2.1
+ debhelper-compat (= 13),
+ asciidoctor,
+ libncurses-dev,
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/greed.git
 Vcs-Browser: https://salsa.debian.org/games-team/greed
 Homepage: http://www.catb.org/~esr/greed/

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 # -*- makefile -*-
 
 %:
-	dh  $@
+	dh $@
 
 # Debian Policy 11.11
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chown root:games debian/greed/usr/games/greed
 	chmod 2755 debian/greed/usr/games/greed

=== debian/watch ===
version=4
http://www.catb.org/~esr/greed/greed-(.+)\.tar\.gz
